summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPeter Johanson <latexer@gentoo.org>2004-03-08 05:30:10 +0000
committerPeter Johanson <latexer@gentoo.org>2004-03-08 05:30:10 +0000
commit4a6f245bf4306e37d7adc071b369d211b0131111 (patch)
tree673ebaf113ea344e5355a454aa7893ca0b817110 /app-laptop/i8kutils/files
parentMoved i8kutils to app-laptop (diff)
downloadgentoo-2-4a6f245bf4306e37d7adc071b369d211b0131111.tar.gz
gentoo-2-4a6f245bf4306e37d7adc071b369d211b0131111.tar.bz2
gentoo-2-4a6f245bf4306e37d7adc071b369d211b0131111.zip
Moved to app-laptop
Diffstat (limited to 'app-laptop/i8kutils/files')
-rw-r--r--app-laptop/i8kutils/files/digest-i8kutils-1.171
-rw-r--r--app-laptop/i8kutils/files/digest-i8kutils-1.17-r11
-rw-r--r--app-laptop/i8kutils/files/i8k.conf31
-rw-r--r--app-laptop/i8kutils/files/i8k.init47
4 files changed, 80 insertions, 0 deletions
diff --git a/app-laptop/i8kutils/files/digest-i8kutils-1.17 b/app-laptop/i8kutils/files/digest-i8kutils-1.17
new file mode 100644
index 000000000000..9fbe24332c88
--- /dev/null
+++ b/app-laptop/i8kutils/files/digest-i8kutils-1.17
@@ -0,0 +1 @@
+MD5 c76e42d645f359eb898495a5e72dd1ac i8kutils-1.17.tar.bz2 37782
diff --git a/app-laptop/i8kutils/files/digest-i8kutils-1.17-r1 b/app-laptop/i8kutils/files/digest-i8kutils-1.17-r1
new file mode 100644
index 000000000000..9fbe24332c88
--- /dev/null
+++ b/app-laptop/i8kutils/files/digest-i8kutils-1.17-r1
@@ -0,0 +1 @@
+MD5 c76e42d645f359eb898495a5e72dd1ac i8kutils-1.17.tar.bz2 37782
diff --git a/app-laptop/i8kutils/files/i8k.conf b/app-laptop/i8kutils/files/i8k.conf
new file mode 100644
index 000000000000..c5bd389b294a
--- /dev/null
+++ b/app-laptop/i8kutils/files/i8k.conf
@@ -0,0 +1,31 @@
+# Config file for /etc/init.d/i8k
+
+# Parameters:
+#
+# i8kbuttons Parameters
+# =====================
+# VOLUME_UP : command for i8kbuttons to run on volume up key
+# VOLUME_DOWN : command for i8kbuttons to run on volume down key
+# VOLUME_MUTE : command for i8kbuttons to run on mute key
+# BUTTON_REPEAT : repeat rate, in milliseconds, for i8kbuttons keypresses
+#
+# If VOLUME_* commands are not defined, i8kbuttons will not be started
+#
+# i8kmon Parameters
+# =================
+# NOMON : if set, i8kmon will not be started
+# NOAUTO : if set, i8kmon will not control the fans
+# TIMEOUT : timeout, in seconds, at which i8kmon will check/update status
+# (default is 2)
+
+# for ALSA
+MIXER="/usr/bin/amixer -q set Master"
+VOLUME_UP="$MIXER 1+"
+VOLUME_DOWN="$MIXER 1-"
+VOLUME_MUTE="$MIXER toggle"
+
+# for aumix (no mute support)
+#VOLUME_UP="aumix -v +4"
+#VOLUME_DOWN="aumix -v -4"
+
+BUTTON_REPEAT=100
diff --git a/app-laptop/i8kutils/files/i8k.init b/app-laptop/i8kutils/files/i8k.init
new file mode 100644
index 000000000000..92b2d991589b
--- /dev/null
+++ b/app-laptop/i8kutils/files/i8k.init
@@ -0,0 +1,47 @@
+#!/sbin/runscript
+
+depend() {
+ after alsasound
+ after modules
+}
+
+checkconfig() {
+ if [ ! -e /proc/i8k ] ; then
+ eerror "The i8k driver is not installed"
+ return 1
+ fi
+}
+
+start() {
+ checkconfig || return 1
+ if [ -n "$VOLUME_UP$VOLUME_DOWN$VOLUME_MUTE" ] ; then
+ ebegin "Starting i8kbuttons"
+ start-stop-daemon --start --quiet --pidfile /var/run/i8kbuttons.pid \
+ --make-pidfile --exec /usr/bin/i8kbuttons --background \
+ -- ${VOLUME_UP:+-u "${VOLUME_UP}"} \
+ ${VOLUME_DOWN:+-d "$VOLUME_DOWN"} \
+ ${VOLUME_MUTE:+-m "$VOLUME_MUTE"} \
+ ${BUTTON_REPEAT:+-r "$BUTTON_REPEAT"}
+ eend $?
+ fi
+ if [ ! -n "$NOMON" ]; then
+ ebegin "Starting i8kmon"
+ start-stop-daemon --start --quiet --pidfile /var/run/i8kmon.pid \
+ --make-pidfile --exec /usr/bin/i8kmon --background \
+ -- -d ${NOAUTO:+-na} ${TIMEOUT:+-t $TIMEOUT}
+ eend $?
+ fi
+}
+
+stop() {
+ if [ -n "$VOLUME_UP$VOLUME_DOWN$VOLUME_MUTE" ] ; then
+ ebegin "Stopping i8kbuttons"
+ start-stop-daemon --stop --quiet --pidfile /var/run/i8kbuttons.pid
+ eend $?
+ fi
+ if [ ! -n "$NOMON" ]; then
+ ebegin "Stopping i8kmon"
+ start-stop-daemon --stop --quiet --pidfile /var/run/i8kmon.pid
+ eend $?
+ fi
+}